AST Manipulation

- « CommonMark\Node::insertAfter

- CommonMark\Node::replace »

- PHP Manual
- CommonMark\Node
- AST Manipulation

# CommonMark\Node::insertBefore

(cmark >= 1.0.0)

CommonMark\Node::insertBefore — AST Manipulation

### Description

public CommonMark\Node::insertBefore(CommonMark\Node `$sibling`): CommonMark\Node

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`sibling`

### Return Values